# COMMUVÉLO

Devoir de **INF3710**   
Peut compter comme un hackathon en mon sens parce qu'on est pas bons avec le temps et que projet 2 prends énormément de temps.

## Installation

L'installation de notre application, même si elle n'est pas habituelle, est relativement simple. Nous avons créé un fichier `docker-compose.yml` ainsi qu'un fichier `Dockerfile` à la racine de notre projet qui permettent de lancer la base de données, le serveur et le client en une seule commande. Après avoir installé Docker (https://docs.docker.com/get-docker/), il faut se diriger avec un terminal dans le dossier racine du TP (ou bien ouvrir un terminal directement dedans avec Shift+Clic droit sur Windows). Ensuite, il suffit d'entrer la commande suivante pour démarrer l'application :

```
docker compose up -d
# Ou bien sur une veille version de Docker :
docker-compose up -d
```

Docker va automatiquement télécharger Postgres et NodeJS, puis va procéder à l'installation des dépendances avec "npm install" dans les dossiers client et serveur, puis va ensuite lancer le client et le serveur sur les ports 4200 et 3000 respectivement. On pourra donc accéder au client (l'application web) sur http://localhost:4200 et au serveur API sur http://localhost:3000, par exemple si l'on veut consulter la documentation. La base de données sera automatiquement configurée avec notre schema et nos data. On pourra y exécuter des commandes SQL en effectuant la commande suivante :

```
docker compose exec database psql -U commuvelo_user -d commuvelo
```
