import { TextFieldModule } from "@angular/cdk/text-field";
import { NgModule } from "@angular/core";
import { MatAutocompleteModule } from "@angular/material/autocomplete";
import { MatButtonModule } from "@angular/material/button";
import { MatCardModule } from "@angular/material/card";
import { MatNativeDateModule } from "@angular/material/core";
import { MatDatepickerModule } from "@angular/material/datepicker";
import { MatDialogModule } from "@angular/material/dialog";
import { MatDividerModule } from "@angular/material/divider";
import { MatFormFieldModule } from "@angular/material/form-field";
import { MatGridListModule } from "@angular/material/grid-list";
import { MatIconModule } from "@angular/material/icon";
import { MatInputModule } from "@angular/material/input";
import { MatProgressSpinnerModule } from "@angular/material/progress-spinner";
import { MatSelectModule } from "@angular/material/select";
import { MatSlideToggleModule } from "@angular/material/slide-toggle";
import { MatSliderModule } from "@angular/material/slider";
import { MatSortModule } from "@angular/material/sort";
import { MatStepperModule } from "@angular/material/stepper";
import { MatTableModule } from "@angular/material/table";
import { MatTooltipModule } from "@angular/material/tooltip";

const modules = [
  MatButtonModule,
  MatIconModule,
  MatTableModule,
  MatSliderModule,
  MatDialogModule,
  MatDividerModule,
  MatCardModule,
  MatTooltipModule,
  MatAutocompleteModule,
  MatFormFieldModule,
  MatInputModule,
  MatGridListModule,
  MatStepperModule,
  MatDatepickerModule,
  MatNativeDateModule,
  TextFieldModule,
  MatSlideToggleModule,
  MatProgressSpinnerModule,
  MatSortModule,
  MatSelectModule,
];

@NgModule({
  imports: [...modules],
  exports: [...modules],
  providers: [],
})
export class AppMaterialModule {}
