import { Conducteur as ConducteurInterface } from '@common/interfaces/conducteur';
import { ConducteurRow } from 'rows/conducteur.row';
import { Membre } from './membre.entity';

export class Conducteur implements ConducteurInterface {
  numeroPermis: string;
  nomComplet: string;
  membre: Membre;

  constructor(conducteur: ConducteurRow, membre: Membre) {
    this.numeroPermis = conducteur.numero_permis;
    this.nomComplet = conducteur.nom_complet;
    this.membre = membre;
  }
}
