import { Component, Input, OnInit } from "@angular/core";
import { Reservation } from "@common/interfaces/reservation";

@Component({
  selector: "app-reservation-individuel",
  templateUrl: "./reservation-individuel.component.html",
  styleUrls: ["./reservation-individuel.component.css"],
  host: {
    class: "d-flex flex-column container",
  },
})
export class ReservationIndividuelComponent implements OnInit {
  @Input() reservation!: Reservation;
  start!: string;
  end!: string;
  ngOnInit() {
    this.end = new Date(this.reservation.tempsFin).toLocaleString("fr-FR");
    this.start = new Date(this.reservation.tempsDebut).toLocaleString("fr-FR");
  }
}
