import { AdressePostale } from "./adresse-postale";
import { CompteBancaire } from "./compte-bancaire";
import { Emplacement } from "./emplacement";

export interface Membre {
  numeroMembre: number;

  montantParts: number;
  nom: string;
  courriel: string;
  adressePostale: AdressePostale;

  compteBancaire: CompteBancaire;
  emplacementFavoris: Emplacement | null;
}
