import { AdressePostale as AdressePostaleInterface } from '@common/interfaces/adresse-postale';

export class AdressePostale implements AdressePostaleInterface {
  lignePrincipale: string;
  ligneSecondaire?: string;
  ville: string;
  codePostal: string;

  constructor(
    lignePrincipale: string,
    ville: string,
    codePostal: string,
    ligneSecondaire?: string,
  ) {
    this.lignePrincipale = lignePrincipale;
    this.ligneSecondaire = ligneSecondaire;
    this.ville = ville;
    this.codePostal = codePostal;
  }
}
