import { Controller, Get } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { EmplacementService } from '@src/services/emplacement.service';
import { Emplacement } from 'model/emplacement.entity';

@Controller('emplacement')
@ApiTags('emplacement')
export class EmplacementController {
  constructor(private emplacementService: EmplacementService) {}

  @Get('/')
  async getAll(): Promise<Emplacement[]> {
    return await this.emplacementService.findAll();
  }
}
